TestCase subclass: #TestArcade
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'PrograMAME-Test'!

!TestArcade methodsFor: 'tests' stamp: 'DS 10/25/2020 11:16'!
test03JugadorNoPusoFichasEligeWonderBoyNoJuega
	|arcade resultado |
	
	arcade := Arcade new.
		
	self should: [ arcade jugarA: 'Wonderboy' ] raise: SinCredito.
 ! !

!TestArcade methodsFor: 'tests' stamp: 'DS 10/25/2020 11:12'!
test01JugadorPoneUnaFichaEligeWonderBoyJuega
	|arcade resultado |
	
	arcade := Arcade new.
	
	arcade agregarFicha: 1.
	
	resultado := arcade jugarA: 'Wonderboy'.
	
	self assert: resultado equals: Jugando new. 
	 ! !

!TestArcade methodsFor: 'tests' stamp: 'DS 10/24/2020 22:40'!
test08JugadorAgregaPesos30EligeKI2Juegando
	|arcade resultado |
	
	arcade := Arcade new.
	
	arcade agregaCredito: '15'.
	arcade agregaCredito: '15'.
		
	resultado := arcade jugarA: 'KI2'.
	
	self assert: resultado equals: Jugando new. 
	 ! !

!TestArcade methodsFor: 'tests' stamp: 'DS 10/25/2020 11:14'!
test02JugadorPoneDosFichaEligeWonderBoyJuega
	|arcade resultado |
	
	arcade := Arcade new.
	
	arcade agregarFicha: 2.
	
	resultado := arcade jugarA: 'Wonderboy'.
	
	self assert: resultado equals: Jugando new. 
	 ! !

!TestArcade methodsFor: 'tests' stamp: 'DS 10/25/2020 11:18'!
test06JugadorAgregaPesos10EligeMortalKombat2NoCredito
	|arcade resultado |
	
	arcade := Arcade new.
	
	arcade agregaCredito: '10'.
		
	self should: [ arcade jugarA: 'MK2' ] raise: SinCredito.
	 ! !

!TestArcade methodsFor: 'tests' stamp: 'DS 10/24/2020 22:38'!
test07JugadorAgregaPesos30EligeKI2Juegando
	|arcade resultado |
	
	arcade := Arcade new.
	
	arcade agregaCredito: '30'.
		
	resultado := arcade jugarA: 'KI2'.
	
	self assert: resultado equals: Jugando new. 
	 ! !

!TestArcade methodsFor: 'tests' stamp: 'DS 10/25/2020 11:14'!
test04JugadorAgregaDosFichasEligeMortalKombat2Juega
	|arcade resultado |
	
	arcade := Arcade new.
	
	arcade agregarFicha: 2.
		
	resultado := arcade jugarA: 'MK2'.
	
	self assert: resultado equals: Jugando new. 
	 ! !

!TestArcade methodsFor: 'tests' stamp: 'DS 10/25/2020 11:18'!
test05JugadorAgregaUnaFichaEligeMortalKombat2NoCredito
	|arcade resultado |
	
	arcade := Arcade new.
	
	arcade agregarFicha: 1.
		
	self should: [ arcade jugarA: 'MK2' ] raise: SinCredito.! !
