Object subclass: #Arcade
	instanceVariableNames: 'credito'
	classVariableNames: ''
	package: 'PrograMAME'!

!Arcade methodsFor: 'initialization' stamp: 'DS 10/29/2020 21:37'!
initialize 
	credito := OrderedCollection new.
	! !


!Arcade methodsFor: 'as yet unclassified' stamp: 'DS 10/29/2020 21:37'!
jugarA: unNombreJuego 
	|juegos|
	juegos := Dictionary new.
	
	juegos at: 'Wonderboy' put: (Wonderboy new creditos: credito).
	juegos at: 'MK2' put: (MK2 new creditos: credito).
	juegos at: 'KI2' put: (KI2 new creditos: credito).
	
	^(juegos at: unNombreJuego) jugar.! !

!Arcade methodsFor: 'as yet unclassified' stamp: 'DS 10/24/2020 22:27'!
agregaCredito: unaCantidadDePesos 
	credito add: unaCantidadDePesos.! !

!Arcade methodsFor: 'as yet unclassified' stamp: 'DS 10/25/2020 11:13'!
agregarFicha: unaCantiad
	1 to: unaCantiad do: [ :i |
		credito add: Ficha new.
	]
	
! !


Object subclass: #Ficha
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'PrograMAME'!

!Ficha methodsFor: 'comparing' stamp: 'DS 10/24/2020 22:17'!
= otraCosa
	^self class = otraCosa class.! !


Object subclass: #Jugando
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'PrograMAME'!

!Jugando methodsFor: 'comparing' stamp: 'DS 10/24/2020 22:18'!
= otraCosa
	^self class = otraCosa class! !


Object subclass: #KI2
	instanceVariableNames: 'creditos'
	classVariableNames: ''
	package: 'PrograMAME'!

!KI2 methodsFor: 'as yet unclassified' stamp: 'DS 10/29/2020 21:12'!
tengo30
	^(creditos count: [ :p | p = '30' ]) = 1.! !

!KI2 methodsFor: 'as yet unclassified' stamp: 'DS 10/29/2020 21:12'!
tengo15y15
	^(creditos count: [ :p | p = '15' ]) = 2.! !

!KI2 methodsFor: 'as yet unclassified' stamp: 'DS 10/29/2020 21:17'!
jugar
	(self tengo30 | self tengo15y15) ifTrue: [ 
		^Jugando new.
	] ifFalse: [ 
		SinCredito signal.
	]! !

!KI2 methodsFor: 'as yet unclassified' stamp: 'DS 10/29/2020 21:10'!
creditos: unosCreditos 
	creditos := unosCreditos .! !


Object subclass: #MK2
	instanceVariableNames: 'creditos'
	classVariableNames: ''
	package: 'PrograMAME'!

!MK2 methodsFor: 'as yet unclassified' stamp: 'DS 10/29/2020 21:17'!
jugar
	((creditos count: [ :p | p = Ficha new ]) >= 2) ifTrue: [ 
		^Jugando new.	
	] ifFalse: [ 
		SinCredito signal.
	]! !

!MK2 methodsFor: 'as yet unclassified' stamp: 'DS 10/29/2020 21:08'!
creditos: unosCreditos
	creditos := unosCreditos ! !


Error subclass: #SinCredito
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'PrograMAME'!

Object subclass: #Wonderboy
	instanceVariableNames: 'creditos'
	classVariableNames: ''
	package: 'PrograMAME'!

!Wonderboy methodsFor: 'as yet unclassified' stamp: 'DS 10/29/2020 21:15'!
jugar
	((creditos count: [ :p | p = Ficha new ]) >= 1) ifTrue: [
		^Jugando new.
	] ifFalse: [
		SinCredito signal.
	].! !

!Wonderboy methodsFor: 'as yet unclassified' stamp: 'DS 10/29/2020 20:59'!
creditos: unosCreditos
	creditos := unosCreditos .! !
